> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ITSM Group by ID



## OpenAPI

````yaml get /itsm/groups/{group_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /itsm/groups/{group_id}:
    get:
      tags:
        - ITSM
        - Groups
      summary: Get ITSM Group by ID
      operationId: get_group_by_id
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Group Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScopedITSMGroupRespModel'
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    ScopedITSMGroupRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the Group
        name:
          type: string
          title: Name
          description: Name of the Group
        description:
          type: string
          title: Description
          description: Description of the Group
        status:
          type: string
          title: Status
          description: Status of the Group (e.g., ACTIVE, INACTIVE, DELETED)
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ITSMGroupVendorAttributes'
          description: Vendor-specific attributes of the Group
      type: object
      required:
        - id
        - name
        - description
        - status
        - vendor_attributes
      title: ITSM Group
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    ITSMGroupVendorAttributes:
      properties:
        id:
          type: string
          title: Id
          description: Vendor's ID for the Group
        vendor:
          type: string
          title: Vendor
          description: Vendor name
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Creation time of the Group in Vendor
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update time of the Group in Vendor
        data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/JiraGroupVendorAttributesData'
              discriminator:
                propertyName: vendor
                mapping:
                  JIRA:
                    $ref: '#/components/schemas/JiraGroupVendorAttributesData'
            - type: 'null'
          title: Data
          description: Vendor-specific data associated with the Group
      type: object
      required:
        - id
        - vendor
      title: ITSM Group Vendor Attributes
    JiraGroupVendorAttributesData:
      properties:
        vendor:
          type: string
          enum:
            - JIRA
          const: JIRA
          title: Vendor
          default: JIRA
      type: object
      title: JiraGroupVendorAttributesData
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````